import { JSONOutput } from 'typedoc';
export var ClassJson;
(function (ClassJson) {
    let Accessibility;
    (function (Accessibility) {
        Accessibility["Public"] = "public";
        Accessibility["Protected"] = "protected";
        Accessibility["Private"] = "private";
    })(Accessibility = ClassJson.Accessibility || (ClassJson.Accessibility = {}));
})(ClassJson || (ClassJson = {}));
export var TypeJson;
(function (TypeJson) {
    let MappedJson;
    (function (MappedJson) {
        let Modifier;
        (function (Modifier) {
            Modifier["Add"] = "+";
            Modifier["Remove"] = "-";
        })(Modifier = MappedJson.Modifier || (MappedJson.Modifier = {}));
    })(MappedJson = TypeJson.MappedJson || (TypeJson.MappedJson = {}));
    let TypeOperatorJson;
    (function (TypeOperatorJson) {
        let Operator;
        (function (Operator) {
            Operator["KeyOf"] = "keyof";
            Operator["Unique"] = "unique";
            Operator["Readonly"] = "readonly";
        })(Operator = TypeOperatorJson.Operator || (TypeOperatorJson.Operator = {}));
    })(TypeOperatorJson = TypeJson.TypeOperatorJson || (TypeJson.TypeOperatorJson = {}));
})(TypeJson || (TypeJson = {}));
(function (TypeJson) {
    let Kind;
    (function (Kind) {
        Kind["Array"] = "array";
        Kind["Conditional"] = "conditional";
        Kind["IndexedAccess"] = "indexedAccess";
        Kind["Inferred"] = "inferred";
        Kind["Intersection"] = "intersection";
        Kind["Intrinsic"] = "intrinsic";
        Kind["Literal"] = "literal";
        Kind["Mapped"] = "mapped";
        Kind["NamedTupleMember"] = "namedTupleMember";
        Kind["Optional"] = "optional";
        Kind["Predicate"] = "predicate";
        Kind["Query"] = "query";
        Kind["Reference"] = "reference";
        Kind["Reflection"] = "reflection";
        Kind["Rest"] = "rest";
        Kind["TemplateLiteral"] = "templateLiteral";
        Kind["Tuple"] = "tuple";
        Kind["TypeOperator"] = "typeOperator";
        Kind["Union"] = "union";
        Kind["Unknown"] = "unknown";
    })(Kind = TypeJson.Kind || (TypeJson.Kind = {}));
})(TypeJson || (TypeJson = {}));
//# sourceMappingURL=One.js.map