import { load } from 'js-yaml';
import { readFile } from 'node:fs/promises';
/**
 * Parsed a YAML file into an `Object` of type `T`
 * @param pathLike The {@link PathLike} to read with {@link readFile}
 */
export async function readYaml(pathLike) {
    return load(await readFile(pathLike, { encoding: 'utf-8' }));
}
//# sourceMappingURL=readYaml.js.map